﻿using System;
using System.IO;
using System.Reflection;

// ReSharper disable InconsistentNaming

namespace WPFonts
{
    public static class FontDataHelper
    {
        public static byte[] SegoeWPLight
        {
            get { return LoadFontData("WPFonts.Fonts.SegoeWP-Light.ttf"); }
        }

        public static byte[] SegoeWPSemilight
        {
            get { return LoadFontData("WPFonts.Fonts.SegoeWP-Semilight.ttf"); }
        }

        public static byte[] SegoeWP
        {
            get { return LoadFontData("WPFonts.Fonts.SegoeWP.ttf"); }
        }

        public static byte[] SegoeWPSemibold
        {
            get { return LoadFontData("WPFonts.Fonts.SegoeWP-Semibold.ttf"); }
        }

        public static byte[] SegoeWPBold
        {
            get { return LoadFontData("WPFonts.Fonts.SegoeWP-Bold.ttf"); }
        }

        public static byte[] SegoeWPBlack
        {
            get { return LoadFontData("WPFonts.Fonts.SegoeWP-Black.ttf"); }
        }

        /// <summary>
        /// Returns the specified font from an embedded resource.
        /// </summary>
        static byte[] LoadFontData(string name)
        {
            Assembly assembly = typeof(FontDataHelper).Assembly;
            using (Stream stream = assembly.GetManifestResourceStream(name))
            {
                if (stream == null)
                    throw new ArgumentException("No resource with name " + name);

                var count = (int)stream.Length;
                var data = new byte[count];
                stream.Read(data, 0, count);
                return data;
            }
        }
    }
}
